Xonder.pm
==================================================

Perl Direct integration for Xonder

Example

    use strict; 
    use Xonder;
    my $cs = Xonder->new({

            "merchantID"            => "100001",
            "amount"                => 1337,
            "type"                  => 1,
            "action"                => "SALE",
            "countryCode"           => 826,
            "currencyCode"          => 826,
            "transactionUnique"     => time(),
            "orderRef"              => "1 Yellow Camel",
            "cardNumber"            => "4543059999999982",
            "customerAddress"       => "76 Roseby Avenue Manchester",
            "customerPostCode"      => "M63X 7TH",
            "cardCVV"               => "110",
            "cardExpiryMonth"       => "12",
            "cardExpiryYear"        => "13",
            "threeDSRequired"       => "N",
            "sigKey"                => "Circle4Take40Idea",
    });

    $cs->process();

    if ( $cs->responseCode == 0 ) { print "Payment Sucessful. Xref: " .
    $cs->xref() . "\n"; } else { print "Payment Failed: " .
    $cs->responseMessage() . " (" . $cs->responseCode() . ")\n"; }

DESCRIPTION
This code provides a sample integration to Xonder. For more info, see www.xonder.net.
The sigKey is the preshared signature key which will be created when you set up you live merchant account with Xonder and will be provided along with your merchantID once your account is live.
