#!/usr/bin/perl
use strict;
use Xonder;

my $cs = Xonder->new({

	"merchantID"		=> "100001",
	"amount"		=> 1337,
	"type"			=> 1,
	"action"		=> "SALE",
	"countryCode"		=> 826,
	"currencyCode"		=> 826,
	"transactionUnique"	=> time(),
	"orderRef"		=> "1 Yellow Camel",
	"cardNumber"		=> "4543059999999982",
	"customerAddress"	=> "76 Roseby Avenue Manchester",
	"customerPostCode"	=> "M63X 7TH",
	"cardCVV"		=> "110",
	"cardExpiryMonth"	=> "12",
	"cardExpiryYear"	=> "13",
	"threeDSRequired"	=> "N",
	"sigKey"		=> "Circle4Take40Idea",
});

$cs->process();

if ($cs->responseCode == 0) {
	# Checking to see if an xref exists as blank response in perl is mapped to 0 causing payment to appear to be taken
	if (defined($cs->xref())) {
		print "Payment Sucessful. Xref: " . $cs->xref() . "\n";
	} else {
		print "Payment Failed: There was an issue taking payment. Please try again";
	}
} else {
	print "Payment Failed: " . $cs->responseMessage() . " (" . $cs->responseCode() . ")\n";
}
